]> granicus.if.org Git - postgresql/blobdiff - configure
Fix typo in backup docs. Patch from Euler Taveira de Oliveira.
[postgresql] / configure
index 9372e37f3685f1753cba015c961e106f1edcb153..e5810f910d0b5c137fb3e198bd2534c0f6d25e6c 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.59 for PostgreSQL 8.2beta1.
+# Generated by GNU Autoconf 2.59 for PostgreSQL 8.2beta2.
 #
 # Report bugs to <pgsql-bugs@postgresql.org>.
 #
@@ -271,8 +271,8 @@ SHELL=${CONFIG_SHELL-/bin/sh}
 # Identity of this package.
 PACKAGE_NAME='PostgreSQL'
 PACKAGE_TARNAME='postgresql'
-PACKAGE_VERSION='8.2beta1'
-PACKAGE_STRING='PostgreSQL 8.2beta1'
+PACKAGE_VERSION='8.2beta2'
+PACKAGE_STRING='PostgreSQL 8.2beta2'
 PACKAGE_BUGREPORT='pgsql-bugs@postgresql.org'
 
 ac_unique_file="src/backend/access/common/heaptuple.c"
@@ -791,7 +791,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures PostgreSQL 8.2beta1 to adapt to many kinds of systems.
+\`configure' configures PostgreSQL 8.2beta2 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -852,7 +852,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of PostgreSQL 8.2beta1:";;
+     short | recursive ) echo "Configuration of PostgreSQL 8.2beta2:";;
    esac
   cat <<\_ACEOF
 
@@ -892,8 +892,8 @@ Optional Packages:
   --with-ldap             build with LDAP support
   --with-bonjour          build with Bonjour support
   --with-openssl          build with OpenSSL support
+  --without-readline      do not use GNU Readline nor BSD Libedit for editing
   --with-libedit-preferred  prefer BSD Libedit over GNU Readline
-  --without-readline      do not use GNU Readline / BSD Libedit line editing
   --without-zlib          do not use Zlib
   --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
 
@@ -1008,7 +1008,7 @@ fi
 test -n "$ac_init_help" && exit 0
 if $ac_init_version; then
   cat <<\_ACEOF
-PostgreSQL configure 8.2beta1
+PostgreSQL configure 8.2beta2
 generated by GNU Autoconf 2.59
 
 Copyright (C) 2003 Free Software Foundation, Inc.
@@ -1024,7 +1024,7 @@ cat >&5 <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by PostgreSQL $as_me 8.2beta1, which was
+It was created by PostgreSQL $as_me 8.2beta2, which was
 generated by GNU Autoconf 2.59.  Invocation command line was
 
   $ $0 $@
@@ -4087,15 +4087,15 @@ echo "${ECHO_T}$with_openssl" >&6
 
 
 #
-# Prefer libedit
+# Readline
 #
 
 
 
 
-# Check whether --with-libedit-preferred or --without-libedit-preferred was given.
-if test "${with_libedit_preferred+set}" = set; then
-  withval="$with_libedit_preferred"
+# Check whether --with-readline or --without-readline was given.
+if test "${with_readline+set}" = set; then
+  withval="$with_readline"
 
   case $withval in
     yes)
@@ -4105,29 +4105,39 @@ if test "${with_libedit_preferred+set}" = set; then
       :
       ;;
     *)
-      { { echo "$as_me:$LINENO: error: no argument expected for --with-libedit-preferred option" >&5
-echo "$as_me: error: no argument expected for --with-libedit-preferred option" >&2;}
+      { { echo "$as_me:$LINENO: error: no argument expected for --with-readline option" >&5
+echo "$as_me: error: no argument expected for --with-readline option" >&2;}
    { (exit 1); exit 1; }; }
       ;;
   esac
 
 else
-  with_libedit_preferred=no
+  with_readline=yes
 
 fi;
 
+# readline on MinGW has problems with backslashes in psql and other bugs.
+# This is particularly a problem with non-US code pages.
+# Therefore disable its use until we understand the cause. 2004-07-20
+if test "$PORTNAME" = "win32"; then
+  if test "$with_readline" = yes; then
+    { echo "$as_me:$LINENO: WARNING: *** Readline does not work on MinGW --- disabling" >&5
+echo "$as_me: WARNING: *** Readline does not work on MinGW --- disabling" >&2;}
+    with_readline=no
+  fi
+fi
 
 
 #
-# Readline
+# Prefer libedit
 #
 
 
 
 
-# Check whether --with-readline or --without-readline was given.
-if test "${with_readline+set}" = set; then
-  withval="$with_readline"
+# Check whether --with-libedit-preferred or --without-libedit-preferred was given.
+if test "${with_libedit_preferred+set}" = set; then
+  withval="$with_libedit_preferred"
 
   case $withval in
     yes)
@@ -4137,27 +4147,17 @@ if test "${with_readline+set}" = set; then
       :
       ;;
     *)
-      { { echo "$as_me:$LINENO: error: no argument expected for --with-readline option" >&5
-echo "$as_me: error: no argument expected for --with-readline option" >&2;}
+      { { echo "$as_me:$LINENO: error: no argument expected for --with-libedit-preferred option" >&5
+echo "$as_me: error: no argument expected for --with-libedit-preferred option" >&2;}
    { (exit 1); exit 1; }; }
       ;;
   esac
 
 else
-  with_readline=yes
+  with_libedit_preferred=no
 
 fi;
 
-# readline on MinGW has problems with backslashes in psql and other bugs.
-# This is particularly a problem with non-US code pages.
-# Therefore disable its use until we understand the cause. 2004-07-20
-if test "$PORTNAME" = "win32"; then
-  if test "$with_readline" = yes; then
-    { echo "$as_me:$LINENO: WARNING: *** Readline does not work on MinGW --- disabling" >&5
-echo "$as_me: WARNING: *** Readline does not work on MinGW --- disabling" >&2;}
-    with_readline=no
-  fi
-fi
 
 
 #
@@ -4765,7 +4765,8 @@ echo "${ECHO_T}no" >&6
 
 
 
-for ac_prog in 'bison -y'
+if test -z "$YACC"; then
+  for ac_prog in 'bison -y'
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
@@ -4806,34 +4807,36 @@ fi
 done
 
 
-if test "$YACC"; then
-  if $YACC --version | sed q | $AWK '{ if ($4 < 1.875) exit 0; else exit 1;}'; then
-    { echo "$as_me:$LINENO: WARNING:
-*** If you are going to modify the grammar files or build from CVS, the installed
-*** version of Bison is too old.  Bison version 1.875 or later is required." >&5
+  if test "$YACC"; then
+    if $YACC --version | sed q | $AWK '{ if ($4 < 1.875) exit 0; else exit 1;}'; then
+      { echo "$as_me:$LINENO: WARNING:
+*** The installed version of Bison is too old to use with PostgreSQL.
+*** Bison version 1.875 or later is required." >&5
 echo "$as_me: WARNING:
-*** If you are going to modify the grammar files or build from CVS, the installed
-*** version of Bison is too old.  Bison version 1.875 or later is required." >&2;}
+*** The installed version of Bison is too old to use with PostgreSQL.
+*** Bison version 1.875 or later is required." >&2;}
+      YACC=""
+    fi
   fi
-fi
 
-if test -z "$YACC"; then
-  { echo "$as_me:$LINENO: WARNING:
-*** Without Bison you will not be able to build PostgreSQL from CVS or
+  if test -z "$YACC"; then
+    { echo "$as_me:$LINENO: WARNING:
+*** Without Bison you will not be able to build PostgreSQL from CVS nor
 *** change any of the parser definition files.  You can obtain Bison from
 *** a GNU mirror site.  (If you are using the official distribution of
-*** PostgreSQL then you do not need to worry about this because the Bison
+*** PostgreSQL then you do not need to worry about this, because the Bison
 *** output is pre-generated.)  To use a different yacc program (possible,
 *** but not recommended), set the environment variable YACC before running
 *** 'configure'." >&5
 echo "$as_me: WARNING:
-*** Without Bison you will not be able to build PostgreSQL from CVS or
+*** Without Bison you will not be able to build PostgreSQL from CVS nor
 *** change any of the parser definition files.  You can obtain Bison from
 *** a GNU mirror site.  (If you are using the official distribution of
-*** PostgreSQL then you do not need to worry about this because the Bison
+*** PostgreSQL then you do not need to worry about this, because the Bison
 *** output is pre-generated.)  To use a different yacc program (possible,
 *** but not recommended), set the environment variable YACC before running
 *** 'configure'." >&2;}
+  fi
 fi
 
 
@@ -5007,9 +5010,9 @@ if test "$pythreads" = "1"; then
   echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6
   case $host_os in
-  openbsd*|freebsd4*)
-    { { echo "$as_me:$LINENO: error: *** Threaded Python not supported on this platform ***" >&5
-echo "$as_me: error: *** Threaded Python not supported on this platform ***" >&2;}
+  openbsd*|freebsd*)
+    { { echo "$as_me:$LINENO: error: threaded Python not supported on this platform" >&5
+echo "$as_me: error: threaded Python not supported on this platform" >&2;}
    { (exit 1); exit 1; }; }
     ;;
   esac
@@ -7586,7 +7589,8 @@ done
 
 
 
-for ac_header in crypt.h dld.h endian.h fp_class.h getopt.h ieeefp.h langinfo.h poll.h pwd.h sys/ipc.h sys/poll.h sys/pstat.h sys/select.h sys/sem.h sys/socket.h sys/shm.h sys/time.h sys/un.h termios.h utime.h wchar.h wctype.h kernel/OS.h kernel/image.h SupportDefs.h
+
+for ac_header in crypt.h dld.h endian.h fp_class.h getopt.h ieeefp.h langinfo.h poll.h pwd.h sys/ipc.h sys/poll.h sys/pstat.h sys/resource.h sys/select.h sys/sem.h sys/socket.h sys/shm.h sys/time.h sys/un.h termios.h utime.h wchar.h wctype.h kernel/OS.h kernel/image.h SupportDefs.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
@@ -9046,6 +9050,9 @@ fi
 
 done
 
+# Note: in a libedit installation, history.h is sometimes a dummy, and may
+# not be there at all.  Hence, don't complain if not found.  We must check
+# though, since in yet other versions it is an independent header.
 
 for ac_header in editline/history.h
 do
@@ -9486,16 +9493,6 @@ if test `eval echo '${'$as_ac_Header'}'` = yes; then
 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
 _ACEOF
 
-else
-  { { echo "$as_me:$LINENO: error: history header not found
-If you have libedit already installed, see config.log for details on the
-failure.  It is possible the compiler isn't looking in the proper directory.
-Use --without-readline to disable libedit support." >&5
-echo "$as_me: error: history header not found
-If you have libedit already installed, see config.log for details on the
-failure.  It is possible the compiler isn't looking in the proper directory.
-Use --without-readline to disable libedit support." >&2;}
-   { (exit 1); exit 1; }; }
 fi
 
 done
 
 fi
 
-# This is probably only present on Darwin, but may as well check always
-echo "$as_me:$LINENO: checking whether F_FULLFSYNC is declared" >&5
-echo $ECHO_N "checking whether F_FULLFSYNC is declared... $ECHO_C" >&6
-if test "${ac_cv_have_decl_F_FULLFSYNC+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <fcntl.h>
-
-int
-main ()
-{
-#ifndef F_FULLFSYNC
-  char *p = (char *) F_FULLFSYNC;
-#endif
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"
-                        || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_have_decl_F_FULLFSYNC=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_cv_have_decl_F_FULLFSYNC=no
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-echo "$as_me:$LINENO: result: $ac_cv_have_decl_F_FULLFSYNC" >&5
-echo "${ECHO_T}$ac_cv_have_decl_F_FULLFSYNC" >&6
-if test $ac_cv_have_decl_F_FULLFSYNC = yes; then
-
-cat >>confdefs.h <<_ACEOF
-#define HAVE_DECL_F_FULLFSYNC 1
-_ACEOF
-
-
-else
-  cat >>confdefs.h <<_ACEOF
-#define HAVE_DECL_F_FULLFSYNC 0
-_ACEOF
-
-
-fi
-
-
 
 ##
 ## Functions, global variables
@@ -13532,7 +13455,8 @@ fi
 
 
 
-for ac_func in cbrt dlopen fcvt fdatasync getpeereid memmove poll pstat readlink setproctitle setsid sigprocmask symlink sysconf towlower utime utimes waitpid wcstombs
+
+for ac_func in cbrt dlopen fcvt fdatasync getpeereid getrlimit memmove poll pstat readlink setproctitle setsid sigprocmask symlink sysconf towlower utime utimes waitpid wcstombs
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
 echo "$as_me:$LINENO: checking for $ac_func" >&5
@@ -13780,6 +13704,152 @@ _ACEOF
 fi
 
 
+echo "$as_me:$LINENO: checking whether strlcpy is declared" >&5
+echo $ECHO_N "checking whether strlcpy is declared... $ECHO_C" >&6
+if test "${ac_cv_have_decl_strlcpy+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+int
+main ()
+{
+#ifndef strlcpy
+  char *p = (char *) strlcpy;
+#endif
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_have_decl_strlcpy=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_have_decl_strlcpy=no
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: $ac_cv_have_decl_strlcpy" >&5
+echo "${ECHO_T}$ac_cv_have_decl_strlcpy" >&6
+if test $ac_cv_have_decl_strlcpy = yes; then
+
+cat >>confdefs.h <<_ACEOF
+#define HAVE_DECL_STRLCPY 1
+_ACEOF
+
+
+else
+  cat >>confdefs.h <<_ACEOF
+#define HAVE_DECL_STRLCPY 0
+_ACEOF
+
+
+fi
+
+
+# This is probably only present on Darwin, but may as well check always
+echo "$as_me:$LINENO: checking whether F_FULLFSYNC is declared" >&5
+echo $ECHO_N "checking whether F_FULLFSYNC is declared... $ECHO_C" >&6
+if test "${ac_cv_have_decl_F_FULLFSYNC+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <fcntl.h>
+
+int
+main ()
+{
+#ifndef F_FULLFSYNC
+  char *p = (char *) F_FULLFSYNC;
+#endif
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_have_decl_F_FULLFSYNC=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_have_decl_F_FULLFSYNC=no
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: $ac_cv_have_decl_F_FULLFSYNC" >&5
+echo "${ECHO_T}$ac_cv_have_decl_F_FULLFSYNC" >&6
+if test $ac_cv_have_decl_F_FULLFSYNC = yes; then
+
+cat >>confdefs.h <<_ACEOF
+#define HAVE_DECL_F_FULLFSYNC 1
+_ACEOF
+
+
+else
+  cat >>confdefs.h <<_ACEOF
+#define HAVE_DECL_F_FULLFSYNC 0
+_ACEOF
+
+
+fi
+
+
 
 HAVE_IPV6=no
 echo "$as_me:$LINENO: checking for struct sockaddr_in6" >&5
@@ -14879,21 +14949,6 @@ case $host_os in bsdi*|netbsd*)
 ac_cv_func_fseeko=yes
 esac
 
-# Solaris has a very slow qsort in certain cases, so we replace it:
-#   http://forum.sun.com/thread.jspa?forumID=4&threadID=7231
-# Supposedly it is fixed in Solaris, but not sure which version, and
-# no confirmed testing.  2005-12-16
-if test "$PORTNAME" = "solaris"; then
-case $LIBOBJS in
-    "qsort.$ac_objext"   | \
-  *" qsort.$ac_objext"   | \
-    "qsort.$ac_objext "* | \
-  *" qsort.$ac_objext "* ) ;;
-  *) LIBOBJS="$LIBOBJS qsort.$ac_objext" ;;
-esac
-
-fi
-
 # Win32 support
 if test "$PORTNAME" = "win32"; then
 case $LIBOBJS in
@@ -16741,27 +16796,21 @@ PTHREAD_CFLAGS="$PTHREAD_CFLAGS -D_REENTRANT -D_THREAD_SAFE -D_POSIX_PTHREAD_SEM
 # Let's see who fails, perhaps AIX.  2004-04-23
 if test "$PTHREAD_CC" != "$CC"; then
 { { echo "$as_me:$LINENO: error:
-PostgreSQL does not support platforms that require a special
-compiler binary for thread-safety.
-" >&5
+PostgreSQL does not support platforms that require a special compiler
+for thread safety." >&5
 echo "$as_me: error:
-PostgreSQL does not support platforms that require a special
-compiler binary for thread-safety.
-" >&2;}
+PostgreSQL does not support platforms that require a special compiler
+for thread safety." >&2;}
    { (exit 1); exit 1; }; }
 fi
 
 if test "$THREAD_SUPPORT" = no; then
-{ { echo "$as_me:$LINENO: error:
-Cannot enable threads on your platform.
-Your platform is known to not support thread-safe programs.
-For details, compile and run src/bin/pg_thread_test.
-" >&5
-echo "$as_me: error:
-Cannot enable threads on your platform.
-Your platform is known to not support thread-safe programs.
-For details, compile and run src/bin/pg_thread_test.
-" >&2;}
+{ { echo "$as_me:$LINENO: error: cannot enable threads on this platform
+This platform is known to not support thread-safe programs.  For details,
+compile and run src/bin/pg_thread_test." >&5
+echo "$as_me: error: cannot enable threads on this platform
+This platform is known to not support thread-safe programs.  For details,
+compile and run src/bin/pg_thread_test." >&2;}
    { (exit 1); exit 1; }; }
 fi
 
@@ -17466,13 +17515,13 @@ sed 's/^/| /' conftest.$ac_ext >&5
 echo "$as_me:$LINENO: result: failed" >&5
 echo "${ECHO_T}failed" >&6
 { { echo "$as_me:$LINENO: error:
-*** Could not execute a simple test program.  This may be a problem
-*** related to locating shared libraries.  Check the file 'config.log'
-*** for the exact reason." >&5
+Could not execute a simple test program.  This may be a problem
+related to locating shared libraries.  Check the file 'config.log'
+for the exact reason." >&5
 echo "$as_me: error:
-*** Could not execute a simple test program.  This may be a problem
-*** related to locating shared libraries.  Check the file 'config.log'
-*** for the exact reason." >&2;}
+Could not execute a simple test program.  This may be a problem
+related to locating shared libraries.  Check the file 'config.log'
+for the exact reason." >&2;}
    { (exit 1); exit 1; }; }
 fi
 rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
@@ -21316,13 +21365,11 @@ HAVE_POSIX_SIGNALS=$pgac_cv_func_posix_signals
 
 if test "$pgac_cv_func_posix_signals" != yes -a "$enable_thread_safety" = yes; then
   { { echo "$as_me:$LINENO: error:
-*** Thread-safety requires POSIX signals, which are not supported by your
-*** operating system.
-" >&5
+Thread-safety requires POSIX signals, which are not supported by this
+operating system." >&5
 echo "$as_me: error:
-*** Thread-safety requires POSIX signals, which are not supported by your
-*** operating system.
-" >&2;}
+Thread-safety requires POSIX signals, which are not supported by this
+operating system." >&2;}
    { (exit 1); exit 1; }; }
 fi
 fi
@@ -22785,19 +22832,17 @@ if test x"$template" != x"win32"
 then
   { echo "$as_me:$LINENO: WARNING:
 *** Skipping thread test program.  --enable-thread-safety-force was used.
-*** Run the program in src/test/thread on the your machine and add
-proper locking function calls to your applications to guarantee thread
-safety.
+*** Run the program in src/test/thread on the your machine and add proper
+*** locking function calls to your applications to guarantee thread safety.
 " >&5
 echo "$as_me: WARNING:
 *** Skipping thread test program.  --enable-thread-safety-force was used.
-*** Run the program in src/test/thread on the your machine and add
-proper locking function calls to your applications to guarantee thread
-safety.
+*** Run the program in src/test/thread on the your machine and add proper
+*** locking function calls to your applications to guarantee thread safety.
 " >&2;}
 else
-{ echo "$as_me:$LINENO: WARNING: *** Skipping thread test on Win32" >&5
-echo "$as_me: WARNING: *** Skipping thread test on Win32" >&2;}
+{ echo "$as_me:$LINENO: WARNING: *** skipping thread test on Win32" >&5
+echo "$as_me: WARNING: *** skipping thread test on Win32" >&2;}
 fi
 elif test "$enable_thread_safety" = yes; then
 if test x"$template" != x"win32"
@@ -22850,24 +22895,22 @@ sed 's/^/| /' conftest.$ac_ext >&5
 ( exit $ac_status )
 echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6
-  { { echo "$as_me:$LINENO: error:
-*** Thread test program failed.  Your platform is not thread-safe.
-*** Check the file 'config.log'for the exact reason.
-***
-*** You can use the configure option --enable-thread-safety-force
-*** to force threads to be enabled.  However, you must then run
-*** the program in src/test/thread and add locking function calls
-*** to your applications to guarantee thread safety.
-" >&5
-echo "$as_me: error:
-*** Thread test program failed.  Your platform is not thread-safe.
-*** Check the file 'config.log'for the exact reason.
-***
-*** You can use the configure option --enable-thread-safety-force
-*** to force threads to be enabled.  However, you must then run
-*** the program in src/test/thread and add locking function calls
-*** to your applications to guarantee thread safety.
-" >&2;}
+  { { echo "$as_me:$LINENO: error: thread test program failed
+This platform is not thread-safe.  Check the file 'config.log'for the
+exact reason.
+
+You can use the configure option --enable-thread-safety-force to force
+threads to be enabled.  But you must then run the program in
+src/test/thread and add locking function calls to your applications to
+guarantee thread safety." >&5
+echo "$as_me: error: thread test program failed
+This platform is not thread-safe.  Check the file 'config.log'for the
+exact reason.
+
+You can use the configure option --enable-thread-safety-force to force
+threads to be enabled.  But you must then run the program in
+src/test/thread and add locking function calls to your applications to
+guarantee thread safety." >&2;}
    { (exit 1); exit 1; }; }
 fi
 rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
@@ -22875,8 +22918,8 @@ fi
 CFLAGS="$_CFLAGS"
 LIBS="$_LIBS"
 else
-{ echo "$as_me:$LINENO: WARNING: *** Skipping thread test on Win32" >&5
-echo "$as_me: WARNING: *** Skipping thread test on Win32" >&2;}
+{ echo "$as_me:$LINENO: WARNING: *** skipping thread test on Win32" >&5
+echo "$as_me: WARNING: *** skipping thread test on Win32" >&2;}
 fi
 fi
 
@@ -22925,9 +22968,9 @@ fi
 #
 
 
-  for var in `set |sed -ne '/^\(with_\|enable\_\)/ s/=.*//p'` ; do
-     case $var in
-       with_template) ;;
+  for pgac_var in `set | sed 's/=.*//' | $EGREP 'with_|enable_'`; do
+    case $pgac_var in
+      with_template) ;;
 with_docdir) ;;
 with_includes) ;;
 with_libraries) ;;
@@ -22955,16 +22998,17 @@ with_pam) ;;
 with_ldap) ;;
 with_bonjour) ;;
 with_openssl) ;;
-with_libedit_preferred) ;;
 with_readline) ;;
+with_libedit_preferred) ;;
 with_zlib) ;;
 
-       with_gnu_ld) ;;
-     *)
-       echo -n "*** Option ignored: "
-       echo $var | sed -e 's/\(^=*\)/--\1/;s/_/-/g'
-       ;;
-     esac
+      with_gnu_ld) ;;
+    *)
+      pgac_txt=`echo $pgac_var | tr '_' '-'`
+      { echo "$as_me:$LINENO: WARNING: option ignored: --$pgac_txt" >&5
+echo "$as_me: WARNING: option ignored: --$pgac_txt" >&2;}
+      ;;
+    esac
   done
 
 
@@ -23330,7 +23374,7 @@ _ASBOX
 } >&5
 cat >&5 <<_CSEOF
 
-This file was extended by PostgreSQL $as_me 8.2beta1, which was
+This file was extended by PostgreSQL $as_me 8.2beta2, which was
 generated by GNU Autoconf 2.59.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -23396,7 +23440,7 @@ _ACEOF
 
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-PostgreSQL config.status 8.2beta1
+PostgreSQL config.status 8.2beta2
 configured by $0, generated by GNU Autoconf 2.59,
   with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
 
@@ -24420,8 +24464,8 @@ echo "$as_me: executing $ac_dest commands" >&6;}
 for FILE in $CONFIG_LINKS
  do
        # test -e works for symlinks in the MinGW console
-       test -e `expr "$FILE" : '\([^:]*\)'` || { echo "$as_me:$LINENO: WARNING: *** link for $FILE - please fix by hand" >&5
-echo "$as_me: WARNING: *** link for $FILE - please fix by hand" >&2;}
+       test -e `expr "$FILE" : '\([^:]*\)'` || { echo "$as_me:$LINENO: WARNING: *** link for $FILE -- please fix by hand" >&5
+echo "$as_me: WARNING: *** link for $FILE -- please fix by hand" >&2;}
  done
  ;;
   esac